Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.util
Class ResultFromProlog

    java.lang.Object
      |
      +--com.declarativa.interprolog.util.ResultFromProlog

All Implemented Interfaces:
  Serializable

public class ResultFromProlog
extends Object
implements Serializable

Used to serialize results for deterministicGoal

See Also:
  Serialized Form

Field Summary
`String` | `error` Error message, null if none
`Object[]` | `rVars` Object array corresponding to the result variable list
`boolean` | `succeeded` Goal has succeeded
`int` | `timestamp` Same as passed in GoalFromJava

Constructor Summary
`ResultFromProlog(int t, boolean s, int size, String e)`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### timestamp

    public int timestamp

  Same as passed in GoalFromJava

### succeeded

    public boolean succeeded

  Goal has succeeded

### rVars

    public Object[] rVars

  Object array corresponding to the result variable list

### error

    public String error

  Error message, null if none

Constructor Detail

### ResultFromProlog

    public ResultFromProlog(int t,
                            boolean s,
                            int size,
                            String e)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD